【Plesk经验分享】Apache处理器不可用怎么办?

适用版本:Plesk for Linux

问题描述

  • 工具 & 设置 > PHP 设置中,PHP Apache处理器被标记了一个惊叹号。
  • 当光标移动到惊叹号时,出现以下信息:

:不能启用处理器,因为相应的Apache模块已经关闭。

  • 工具 & 设置 > Apache web服务器中的Apache模块php5显示为灰色。

原因

在Plesk中默认禁用了Apache处理器mod_php

解决办法

警告:启用Apahce处理器mod_php是不安全的,因为它是过时和不安全的。请使用FastCGI或FPM模式中的PHP。

如果这当然是应该做的,为了启用Apache处理器mod_php,请执行以下动作:

1. 在工具 & 设置 > Apache web服务器中将MPM模式更改为预创建。

2. 在工具 & 设置 > Apache web服务器中启用php5模块。

3. 在工具 & 设置 > PHP设置中启用Apache处理器mod_php。

在基于塞班/Ubuntu的发布版中,额外应用以下命令:

 

提交
还没有评论,快来抢沙发吧!
售前
支持
代理
合作
售后
支持